package be.iminds.ilabt.jfed.experimenter_gui.health;

import javax.annotation.Nullable;
import java.util.List;

/**
 * User: twalcari
 * Date: 7/15/2015
 * Time: 16:18
 */
public class HealthStatus {

    private Integer rawPCsAvailable;
    private Integer rawPCsTotal;
    private Integer VMsAvailable;
    private Integer VMsTotal;
    private Integer health;
    private Integer reputation;
    private String status;
    private List<MaintenanceMessage> maintenance;


    public Integer getHealth() {
        return health;
    }

    public void setHealth(Integer health) {
        this.health = health;
    }

    public Integer getReputation() {
        return reputation;
    }

    public void setReputation(Integer reputation) {
        this.reputation = reputation;
    }

    public Integer getRawPCsAvailable() {
        return rawPCsAvailable;
    }

    public void setRawPCsAvailable(Integer rawPCsAvailable) {
        this.rawPCsAvailable = rawPCsAvailable;
    }

    public Integer getRawPCsTotal() {
        return rawPCsTotal;
    }

    public void setRawPCsTotal(Integer rawPCsTotal) {
        this.rawPCsTotal = rawPCsTotal;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getVMsAvailable() {
        return VMsAvailable;
    }

    public void setVMsAvailable(Integer VMsAvailable) {
        this.VMsAvailable = VMsAvailable;
    }

    public Integer getVMsTotal() {
        return VMsTotal;
    }

    public void setVMsTotal(Integer VMsTotal) {
        this.VMsTotal = VMsTotal;
    }

    @Nullable
    public List<MaintenanceMessage> getMaintenance() {
        return maintenance;
    }

    public void setMaintenance(List<MaintenanceMessage> maintenance) {
        this.maintenance = maintenance;
    }

    @Override
    public String toString() {
        return "HealthStatus{" +
                "health=" + health +
                ", rawPCsAvailable=" + rawPCsAvailable +
                ", rawPCsTotal=" + rawPCsTotal +
                ", VMsAvailable=" + VMsAvailable +
                ", VMsTotal=" + VMsTotal +
                ", status='" + status + '\'' +
                '}';
    }
}
