package be.iminds.jfed.gts_highlevel.model;

import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;
import java.util.Map;

/**
 * User: twalcari
 * Date: 9/17/2015
 * Time: 16:47
 */
@XmlRootElement(name="resourceBase")
public class GtsResource {

    private Map<String, String> capabilities;
    private boolean failOnActivate;
    private boolean failOnDeactive;
    private String id;
    private String ports;
    private String providerId;

    private List<GtsReservation> reservations;
    private GtsReservation.Status status;
    private String type;

    public Map<String, String> getCapabilities() {
        return capabilities;
    }

    public void setCapabilities(Map<String, String> capabilities) {
        this.capabilities = capabilities;
    }

    public boolean isFailOnActivate() {
        return failOnActivate;
    }

    public void setFailOnActivate(boolean failOnActivate) {
        this.failOnActivate = failOnActivate;
    }

    public boolean isFailOnDeactive() {
        return failOnDeactive;
    }

    public void setFailOnDeactive(boolean failOnDeactive) {
        this.failOnDeactive = failOnDeactive;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPorts() {
        return ports;
    }

    public void setPorts(String ports) {
        this.ports = ports;
    }

    public String getProviderId() {
        return providerId;
    }

    public void setProviderId(String providerId) {
        this.providerId = providerId;
    }

    public List<GtsReservation> getReservations() {
        return reservations;
    }

    public void setReservations(List<GtsReservation> reservations) {
        this.reservations = reservations;
    }

    public GtsReservation.Status getStatus() {
        return status;
    }

    public void setStatus(GtsReservation.Status status) {
        this.status = status;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }


}
