package be.iminds.jfed.gts_highlevel.model.helpers;

import be.iminds.jfed.gts_highlevel.model.GtsComposite;
import be.iminds.jfed.gts_highlevel.model.GtsResource;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * User: twalcari
 * Date: 9/23/2015
 * Time: 15:36
 */
@XmlRootElement(name = "resourceBases")
public class GtsResources {

    private List<GtsResource> resources;

    @XmlElements({
            @XmlElement(name = "resourceBase", type = GtsResource.class),
            @XmlElement(name = "composite", type = GtsComposite.class)
    })
    public List<GtsResource> getResources() {
        return resources;
    }

    public void setResources(List<GtsResource> resources) {
        this.resources = resources;
    }
}
