package be.iminds.jfed.gts_highlevel.tasks;

import be.iminds.ilabt.jfed.highlevel.controller.TaskExecution;
import be.iminds.ilabt.jfed.util.JavaFXLogger;
import be.iminds.jfed.gts_highlevel.controller.GtsException;
import be.iminds.jfed.gts_highlevel.controller.GtsModel;
import be.iminds.jfed.gts_highlevel.controller.GtsReservationManager;
import be.iminds.jfed.gts_highlevel.controller.GtsReservationManagerFactory;

import javax.inject.Provider;

/**
 * User: twalcari
 * Date: 10/9/2015
 * Time: 10:03
 */
public class GtsListResourcesTask extends LoggedInGtsTask {
    public GtsListResourcesTask(JavaFXLogger logger, GtsReservationManagerFactory gtsReservationManagerFactory, Provider<GtsLoginTask> loginGtsTaskProvider, GtsModel gtsModel) {
        super("GTS List Resources", logger, gtsReservationManagerFactory, loginGtsTaskProvider, gtsModel);
    }

    @Override
    protected void doGtsRMTask(TaskExecution taskExecution, GtsReservationManager reservationManager) throws GtsException {
        reservationManager.listResources();

    }
}
