package be.iminds.ilabt.jfed.highlevel.jobs;

import be.iminds.ilabt.jfed.highlevel.controller.TaskExecution;
import javafx.collections.ObservableList;

import javax.annotation.Nonnull;
import java.util.concurrent.Callable;

/**
 * User: twalcari
 * Date: 7/13/2015
 * Time: 16:28
 */
public interface Job<V> extends Callable<V> {

    /**
     * @return A list of all task-executions that happened in this job.
     */
    @Nonnull
    ObservableList<TaskExecution> getTaskExecutions();

}
