package be.iminds.ilabt.jfed.rspec.model;

import java.util.Map;

/**
 * User: twalcari
 * Date: 5/22/2015
 * Time: 10:36
 */
public interface GeantTestbedType {

    double getEditorX();

    void setEditorX(double value);

    double getEditorY();

    void setEditorY(double value);

    String getDsl();

    void setDsl(String value);

    String getName();

    void setName(String value);

    Map<String,RspecInterfaceBinding> getPortBindings();

    void setPortBindings(Map<String, RspecInterfaceBinding> portBindings);


    public static class RspecInterfaceBinding {
        private final String node;
        private final String iface;

        public RspecInterfaceBinding(String node, String iface) {
            this.node = node;
            this.iface = iface;
        }

        public String getInterface() {
            return iface;
        }

        public String getNode() {
            return node;
        }
    }

}
