package be.iminds.ilabt.jfed.experimenter_gui.slice.tasks;

import be.iminds.ilabt.jfed.experimenter_gui.slice.Experiment;
import be.iminds.ilabt.jfed.highlevel.controller.Task;
import be.iminds.ilabt.jfed.highlevel.tasks.HighLevelTaskFactory;

/**
 * User: twalcari
 * Date: 2/2/2015
 * Time: 17:23
 */
public class UpdateExperimentTask extends SingleCallExperimentTask {

    UpdateExperimentTask(Experiment experiment, HighLevelTaskFactory hltf) {
        super(experiment, hltf);

        updateTitle("Update experiment status");
    }

    @Override
    public Task createTask() {
        return hltf.getSliceStatus(experiment.getSlice());
    }
}
