package be.iminds.ilabt.jfed.gts.model;

import javafx.collections.ObservableList;

import java.util.List;
import java.util.Map;

/**
 * User: twalcari
 * Date: 6/5/2015
 * Time: 15:56
 */
public interface GtsType {


    String getDescription();

    void setDescription(String description);

    Map<String, ? extends GtsPort> getPorts();

    void setPorts(Map<String, ? extends GtsPort> ports);

    String getProviderId();

    void setProviderId(String providerId);

    GtsStatus getStatus();

    void setStatus(GtsStatus status);

    ObservableList<Adjacency> getAdjacencies();

    void setAdjacencies(List<Adjacency> adjacencies);

    final class Adjacency {
        GtsPort port1;
        GtsPort port2;

        public Adjacency(GtsPort port1, GtsPort port2) {
            this.port1 = port1;
            this.port2 = port2;
        }

        public GtsPort getPort1() {
            return port1;
        }

        public GtsPort getPort2() {
            return port2;
        }
    }


}
